/**
 * LogoutUtility interface.
 *
 * @remarks
 * A utility to execute a logout flow via a route change.
 *
 * @public
 */
export interface LogoutUtility {
    run(): void;
}
/**
 * Default LogoutUtility.
 *
 * @public
 */
export declare class DefaultLogoutUtility implements LogoutUtility {
    private config;
    private user;
    run(): void;
}
/**
 * LogoutUtility DI key.
 *
 * @privateRemarks
 * Marked as internal to stop api-extractor becoming confused cross-linking tokens with the same name.
 *
 * @internal
 */
export declare const LogoutUtility: import("@microsoft/fast-foundation").InterfaceSymbol<LogoutUtility>;
//# sourceMappingURL=logout.d.ts.map