<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-auth](./foundation-auth.md) &gt; [configure](./foundation-auth.configure.md)

## configure() function

Configure the auth micro frontend settings.

**Signature:**

```typescript
export declare function configure(config: Partial<AuthConfig>): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | Partial&lt;[AuthConfig](./foundation-auth.authconfig.md)<!-- -->&gt; | A partial AuthConfig. |

**Returns:**

void

## Remarks

This is primarily for general settings, rather than re-defining the element, static templating / style changes.

## Example

Configuring auth on lazy load

```ts
name: 'login',
path: 'login',
title: 'Login',
element: async () => {
  const { configure, define, defaultAuthConfig } = await import('@genesislcap/foundation-auth');
  configure({
    omitRoutes: ['request-account'],
    fields: {
      ...defaultAuthConfig.fields,
      organisation: {
        label: 'CompID',
      },
    },
    hostPath: 'login',
    defaultRedirectUrl: 'dashboard',
    logo: authLogo,
    background: authBG,
  });
  // You can import and return `Auth` directly here or re-define it completely via `define`.
  return define({
    name: `nexus-login`,
  });
},
layout: authLayout,
settings: { public: true },
childRouters: true,
```

